package com.huimv.manage.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.manage.sys.entity.Menu;
import com.huimv.manage.common.utils.Result;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-09
 */
public interface IMenuService extends IService<Menu> {
    Result addMenu(Menu menu,Integer userId);
    //修改菜单
    Result editMenu(Menu menu);
    //删除菜单(批量)
    Result removeMenu(Integer menuId);
   /* //查询所有
    List<Map> listMenu();
    //菜单递归
    List listMenuUtil(List<Menu> list);*/

    //优化查询所有
    Result optimizeList();
    //优化菜单递归
    List<Map> optimizeListUtil(int parentId, List<Menu> menuEntityList);

    Result list1();
}
